package com.landray.kmss.sys.attachment.jg;

import com.landray.kmss.sys.attachment.model.SysAttMain;
import org.apache.commons.io.IOUtils;
import DBstep.iMsgServer2000;
import com.landray.kmss.common.actions.RequestContext;

public class SysAttJGLoadTemplateFunction extends AbstractSysAttachmentJGFunction
{
    @Override
    public void execute(final RequestContext request, final iMsgServer2000 MsgObj) throws Exception {
        final String modelId = MsgObj.GetMsgByName("_fdTemplateModelId");
        final String modelName = MsgObj.GetMsgByName("_fdTemplateModelName");
        final String key = MsgObj.GetMsgByName("_fdTemplateKey");
        if (SysAttJGLoadTemplateFunction.logger.isDebugEnabled()) {
            SysAttJGLoadTemplateFunction.logger.debug("从模板加载文档：fdTemplateModelId:" + modelId + "; fdTemplateModelName" + modelName + "; fdTemplateKey" + key);
        }
        final SysAttMain sysAttMain = this.getSysAttMain(null, modelId, modelName, key);
        if (sysAttMain == null) {
            return;
        }
        MsgObj.MsgTextClear();
        MsgObj.MsgFileBody(IOUtils.toByteArray(sysAttMain.getInputStream()));
        MsgObj.SetMsgByName("STATUS", "打开成功!");
        MsgObj.MsgError("");
    }
}
